RTCPCompoundHandler::ReceiverInfo(3)

NAME
RTCPCompoundHandler::ReceiverInfo

SYNOPSIS

#include <rtcppkt.h>

  Public Attributes

uint8 fractionLost
packet fraction lost.
uint8 lostMSB
cumulative lost MSB of 3 octets.
uint16 lostLSW
cumulative lost two LSB.
uint32 highestSeqNum
highest sequence number.
uint32 jitter
arrival jitter.
uint32 lsr
last sender report timestamp.
uint32 dlsr
delay since last sender report.

Detailed Description

Struct for the data contained in a receiver info block. Receiver info blocks can be found in SR (sender report) or RR (receiver report) RTCP packets.

Member Data Documentation

  uint32 RTCPCompoundHandler::ReceiverInfo::dlsr

delay since last sender report.

  uint8 RTCPCompoundHandler::ReceiverInfo::fractionLost

packet fraction lost.

  uint32 RTCPCompoundHandler::ReceiverInfo::highestSeqNum

highest sequence number.

  uint32 RTCPCompoundHandler::ReceiverInfo::jitter

arrival jitter.

  uint16 RTCPCompoundHandler::ReceiverInfo::lostLSW

cumulative lost two LSB.

  uint8 RTCPCompoundHandler::ReceiverInfo::lostMSB

cumulative lost MSB of 3 octets.

  uint32 RTCPCompoundHandler::ReceiverInfo::lsr

last sender report timestamp.

Author

Generated automatically by Doxygen for ccRTP from the source code.